#pragma once

#include "PlainTextDocument.h"
#include <memory>

class TextEditorModel
{
    PlainTextDocumentUPtr mDocument;

public:

    TextEditorModel();

    static std::unique_ptr<TextEditorModel> Create();

    PlainTextDocument* GetDocument() const;
};

using TextEditorModelUPtr = std::unique_ptr<TextEditorModel>;
